From 807c257804e0d1a5418859564541c5b39b3331ee Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?C=C3=A9lestin=20Matte?= <gitlab@cmatte.me>
Date: Wed, 19 Jan 2022 10:51:27 +0100
Subject: [PATCH] Fix typo in an unsubscribe-related message

---
 web/pglister/lists/views.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/web/pglister/lists/views.py b/web/pglister/lists/views.py
index 207b3d7..89f7b3e 100644
--- a/web/pglister/lists/views.py
+++ b/web/pglister/lists/views.py
@@ -242,7 +242,7 @@ class Unsubscribe(LoginRequired, FormView):
 
         kw['prompt'] = "Please confirm that you want to unsubscribe from {0}.".format(l)
         if l.subscription_policy == SubscriptionPolicies.MANAGED:
-            kw['cannotcomplete'] = "This list has it's membership managed by the moderators, so you cannot manually unsubscribe from it."
+            kw['cannotcomplete'] = "This list has its membership managed by the moderators, so you cannot manually unsubscribe from it."
         return kw
 
     @transaction.atomic
@@ -354,7 +354,7 @@ class UnsubscribeConfirm(TemplateView):
 
         # Check subscription policy
         if l.subscription_policy == SubscriptionPolicies.MANAGED:
-            self.message = "This list has it's membership managed by the moderators, so you cannot manually unsubscribe from it."
+            self.message = "This list has its membership managed by the moderators, so you cannot manually unsubscribe from it."
             return super(UnsubscribeConfirm, self).get(request, token)
 
         # Ok, actually remove it.
-- 
2.34.1

